---
search:
  tags:
    - Themes
    - PUT
seo:
  description: >-
    Update theme settings or title. Reference for the PUT /themes/{id} endpoint
    in the Bolder API v2.
sidebar:
  label: Update a theme
  badge: PUT
title: Update a theme
type: openapi-operation
---
Update theme settings or title.

`PUT /themes/{id}`

**cURL**

```bash
curl -s -X PUT \
  -H "Authorization: Bearer $BOLDER_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"title":"My Updated Theme"}' \
  "https://api.onbolder.com/v2/themes/abc123"
```

**Request body** (`application/json`, required)

- `title` (string)
- `settings_json` (string) — Raw JSON string of theme settings. Note: the request field is \`settings\_json\`, not \`settings\` (the response field, returned as \`settings\`, is named differently from the request field).
- `parent_id` (string) — Reassigns the dev theme's parent (production) theme.
- `last_updated_on` (string<date-time>) — Optimistic-locking timestamp; rejects the update if the theme changed since.

Request body example:

```json
{
  "title": "Updated Theme Title",
  "settings_json": "{\"bg_color\":\"#333\"}"
}
```

**Responses**

- `200` — Theme updated
- `401` — Unauthorized
- `403` — Access denied
- `404` — Theme not found

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": "string",
  "linked": true,
  "parent_id": "string",
  "production": true,
  "public": true,
  "accessible": true,
  "title": "string",
  "settings": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "_embedded": {
    "templates": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "layout.html",
        "path": "string",
        "body": "string",
        "is_section": true,
        "schema": {},
        "parent_commit": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ],
    "assets": [
      {
        "_links": {
          "property1": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          },
          "property2": {
            "href": "string",
            "templated": true,
            "method": "get",
            "title": "string",
            "type": "string"
          }
        },
        "id": "string",
        "file_name": "logo.png",
        "content_type": "image/png",
        "file_size": 0,
        "digest": "string",
        "url": "string",
        "updated_on": "2019-08-24T14:15:22Z"
      }
    ]
  }
}
```
